
#
# Portable Object Compiler
# $Id: Makefile.mpw,v 1.1.1.1 1999/03/22 21:48:43 stes Exp $
#

#
#  Makefile for Macintosh MPW
#

OBJC=objc
LINK=MWLinkPPC -xm library
DBG_MFLAGS=-q -g
OPT_MFLAGS=-q -d NDEBUG
LIBDIR="{OBJCDIR}:lib"
IFLAGS=-noI
MFLAGS={OPT_MFLAGS}

LIBRARY=objcrt.Lib

OBJFILES= ¶
	Object.o ¶
	Block.o ¶
	Message.o ¶
	objcrt.o

{LIBRARY} Ä {OBJFILES}
	{LINK} {OBJFILES} -o {LIBRARY}

.o Ä .m
	{OBJC} -c {DepDir}{Default}.m {MFLAGS} {IFLAGS} -o {Targ}

bootstrap Ä
	Duplicate {LIBRARY} {LIBDIR}:objcrt.o

cleantmp Ä
	Delete Å.P
	Delete Å.c
	Delete Å.i

clean Ä cleantmp
	Delete {OBJFILES}
	Delete {LIBRARY}
